#!/bin/bash
set -eu;
readonly ROOT="$(realpath "$(dirname "$0")/..")";

pushd .;
cd ""${ROOT}"";

printf "This script requires the \"aseprite\" binary in the path.\\n";
for i in $(seq 0 23);
do
    aseprite ""${ROOT}"/src/dungeon.aseprite" --batch --crop 0,0,36,11 --frame-range "${i}","${i}" --save-as ""${ROOT}"/export/dungeon__frame_"${i}".gif";
done;

popd;
